Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DocumentDefinitionRecord

    java.lang.Object
      |
      +--com.bea.document.internal.Document
            |
            +--com.bea.connector.DocumentRecord
                  |
                  +--com.bea.adapter.cci.DocumentDefinitionRecord

public class DocumentDefinitionRecord
extends DocumentRecord
implements java.io.Serializable

This class encapsulates an IDocumentDefinition as a DocumentRecord. It allows an IDocumentDefinition to be returned from the XCCI layer, via the AbstractDocumentRecordInteraction.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.document.internal.Document
`m_verbose`

Constructor Summary
`DocumentDefinitionRecord(IDocumentDefinition def)`

Method Summary
`IDocumentDefinition` | `getDocumentDefinition()`

Methods inherited from class com.bea.connector.DocumentRecord
`clone, equals, getRecordName, getRecordShortDescription, hashCode, setRecordName, setRecordShortDescription`

Methods inherited from class com.bea.document.internal.Document
`addAttribute, addAttribute, addDocumentData, addElement, addElement, addNode, forceParsed, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, getBooleanFrom, getBooleanFromFirst, getDateFrom, getDateFromFirst, getDateTimeFrom, getDateTimeFromFirst, getDocument, getDocumentData, getDocumentElement, getDocumentTypeName, getDoubleFrom, getDoubleFromFirst, getEncoding, getEntityResolver, getIntegerFrom, getIntegerFromFirst, getPublicID, getRawXML, getRootElementName, getStringFrom, getStringFromFirst, getSubDocuments, getSystemID, getTimeFrom, getTimeFromFirst, getValidating, getVerbose, isParsed, main, removeDocumentData, resetContextNode, serializeDocumentType, serializeDocumentType, serializeElement, serializeElement, serializeElement, setBooleanIn, setBooleanInFirst, setContextNode, setContextNode, setContextNode, setDateIn, setDateInFirst, setDateTimeIn, setDateTimeInFirst, setDocumentData, setDocumentDefinition, setDocumentElement, setDocumentImp, setDocumentTypeName, setDoubleIn, setDoubleInFirst, setEntityResolver, setIntegerIn, setIntegerInFirst, setPerThreadEntityResolver, setPublicID, setStringIn, setStringInFirst, setSystemID, setTimeIn, setTimeInFirst, setupForParse, setValidating, setVerbose, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDefinitionRecord

    public DocumentDefinitionRecord(IDocumentDefinition def)

Method Detail

### getDocumentDefinition

    public IDocumentDefinition getDocumentDefinition()

  Overrides:
    getDocumentDefinition in class com.bea.document.internal.Document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)